Skip to main content
POST
Mark External Gateway Refund As Success

Endpoint Overview

POST https://api.unibee.dev/merchant/payment/external_gateway_refund/mark_success Mark refund as success using external gateway result. Auth: OpenAPI + signature (HMAC-SHA256, hex).

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Mark refund as success using external gateway result. Auth: OpenAPI + signature (HMAC-SHA256, hex).

externalRefundId
string<string>
required

External refund transaction id from gateway, used as idempotent key

refundId
string<string>
required

The UniBee refundId

signature
string<string>
required

HMAC-SHA256 hex signature using External Gateway API Key over 'refundId|externalRefundId|timestamp'

timestamp
integer<int64>
required

Unix timestamp in seconds, used for signature and anti-replay

gatewayId
integer<int64>

External gateway id (optional), if omitted will be resolved from refundId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>